---
title: PasswordCredential
slug: Web/API/PasswordCredential
tags:
  - API
  - Credential Management API
  - Interface
  - PasswordCredential
  - Reference
  - credential management
---
<p>{{SeeCompatTable}}{{APIRef("Credential Management API")}}{{securecontext_header}}</p>

<p>The interface of the <a href="/en-US/docs/Web/API/Credential_Management_API">Credential Management API</a> provides information about a username/password pair. In supporting browsers an instance of this class may be passed in the <code>credential</code> member of the <code>init</code> object for global {{domxref('fetch')}}.</p>

<div class="note">
<p><strong>Note:</strong> This interface is restricted to top-level contexts and cannot be used from an {{HTMLElement("iframe")}}.</p>
</div>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PasswordCredential.PasswordCredential()","PasswordCredential()")}}{{securecontext_inline}}</dt>
 <dd>Creates a new <code>PasswordCredential</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its ancestor, {{domxref("Credential")}}.</em></p>

<dl>
 <dt>{{domxref("PasswordCredential.additionalData")}} {{deprecated_inline()}}{{securecontext_inline}}</dt>
 <dd>One of a {{domxref("FormData")}} instance, a {{domxref("URLSearchParams")}} instance, or null. The data in the objects will be added to the {{domxref("request")}} body and sent to the remote endpoint with the credentials.</dd>
 <dt>{{domxref("PasswordCredential.iconURL")}} {{readonlyinline}}{{securecontext_inline}}</dt>
 <dd>A {{domxref("USVString")}} containing a URL pointing to an image for an icon. This image is intended for display in a credential chooser. The URL must be accessible without authentication.</dd>
 <dt>{{domxref("PasswordCredential.idName")}} {{deprecated_inline()}}{{securecontext_inline}}</dt>
 <dd>A {{domxref("USVString")}} containing the name that will be used for the ID field when submitting the current object to a remote endpoint via {{domxref("fetch")}}. This property defaults to 'username', but may be overridden to match whatever the backend service expects.</dd>
 <dt>{{domxref("PasswordCredential.name")}} {{readonlyinline}}{{securecontext_inline}}</dt>
 <dd>A {{domxref("USVString")}} containing a human-readable public name for display in a credential chooser.</dd>
 <dt>{{domxref("PasswordCredential.password")}} {{readonlyinline}}{{securecontext_inline}}</dt>
 <dd>A {{domxref("USVString")}} containing the password of the credential.</dd>
 <dt>{{domxref("PasswordCredential.passwordName")}} {{deprecated_inline()}}{{securecontext_inline}}</dt>
 <dd>A {{domxref("USVString")}} representing the name that will be used for the password field when submitting the current object to a remote endpoint via {{domxref("fetch")}}. This property defaults to 'password', but may be overridden to match whatever the backend service expects.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var cred = new PasswordCredential({
  id: id,
  password: password,
  name: name,
  iconURL: iconUrl
});

navigator.credentials.store(cred)
 .then(function() {
 // Do something else.
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PasswordCredential")}}</p>
</div>
